Skip to main content
POST
/
preview
/
retail-media
/
reports
/
accounts
/preview/retail-media/reports/accounts
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/reports/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "createdAt": "<string>",
      "expiresAt": "<string>",
      "fileSizeBytes": 123,
      "id": "<string>",
      "md5CheckSum": "<string>",
      "message": "<string>",
      "rowCount": 123
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

A top-level object that encapsulates a Criteo API request for a single value

data
object

A top-level object that encapsulates a Criteo API response for a single value

Response

200 - application/json

Success

Async Report response format

data
object

A class that represents a domain entity exposed by an API

errors
object[] | null
read-only
warnings
object[] | null
read-only